PublicKeyAlgorithm Class Referenceabstract

Interface for asymmetric algorithms using public keys. More...

Inheritance diagram for PublicKeyAlgorithm:

## Public Member Functions

CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to a Public Key. More...
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to a Public Key. More...
virtual PublicKey & | AccessPublicKey ()=0
| Retrieves a reference to a Public Key. More...
virtual const PublicKey & | GetPublicKey () const
| Retrieves a reference to a Public Key. More...
Public Member Functions inherited from AsymmetricAlgorithm
void | BERDecode (BufferedTransformation &bt)
| Loads this object from a BufferedTransformation. More...
void | DEREncode (BufferedTransformation &bt) const
| Saves this object to a BufferedTransformation. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...

## Detailed Description

Interface for asymmetric algorithms using public keys.

Definition at line 2230 of file cryptlib.h.

## Member Function Documentation

## AccessMaterial()

CryptoMaterial& PublicKeyAlgorithm::AccessMaterial | ( |  | ) |

inline virtual

Retrieves a reference to a Public Key.

Returns
  a reference to the public key

Implements AsymmetricAlgorithm.

Definition at line 2241 of file cryptlib.h.

## GetMaterial()

const CryptoMaterial& PublicKeyAlgorithm::GetMaterial | ( |  | ) | const

inline virtual

Retrieves a reference to a Public Key.

Returns
  a const reference the public key

Implements AsymmetricAlgorithm.

Definition at line 2245 of file cryptlib.h.

## AccessPublicKey()

virtual PublicKey& PublicKeyAlgorithm::AccessPublicKey | ( |  | ) |

pure virtual

Retrieves a reference to a Public Key.

Returns
  a reference to the public key

## GetPublicKey()

virtual const PublicKey& PublicKeyAlgorithm::GetPublicKey | ( |  | ) | const

inline virtual

Retrieves a reference to a Public Key.

Returns
  a const reference the public key

Definition at line 2253 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h